Package jcifs.util

# Class Base64

java.lang.Object
jcifs.util.Base64

public class Base64 extends Object

## Constructor Summary

Constructors
Constructor
Description
`Base64()`

## Method Summary

Modifier and Type
Method
Description
`static byte[]`
`decode(String string)`
Decodes the supplied Base-64 encoded string.
`static String`
`encode(byte[] bytes)`
Base-64 encodes the supplied block of data.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Base64

public Base64()

## Method Details

### encode

public static String encode(byte[] bytes)
Base-64 encodes the supplied block of data. Line wrapping is not applied on output.

Parameters:
  `bytes` - The block of data that is to be Base-64 encoded.
Returns:
  A `String` containing the encoded data.

### decode

public static byte[] decode(String string)
Decodes the supplied Base-64 encoded string.

Parameters:
  `string` - The Base-64 encoded string that is to be decoded.
Returns:
  A `byte[]` containing the decoded data block.